Foxit PDF RDK

Public Member Functions | List of all members
DocEventCallback Class Reference
Inheritance diagram for DocEventCallback:

## Public Member Functions
| OnDocOpened (document, error_code)
| Triggered when a PDF document is opened. More...
| OnDocSaved (document, error_code)
| Triggered when a PDF document is saved. More...
| OnDocWillDestroy (document)
| Triggered when a PDF document will be destroyed. More...
| OnDocWillOpen ()
| Triggered when the document will be opened. More...
| OnDocWillSave (document)
| Triggered when a PDF document will be saved. More...
| Release ()
| A callback function used to release current callback object itself. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

This class represents a callback object used to listen PDF document event. All the pure virtual functions in this class are used as callback functions and should be implemented by user in derived class. User can also re-write the virtual functions in this class in custom way.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ OnDocOpened()

DocEventCallback.OnDocOpened | ( | document | ,
|  | error_code |
| ) |  |

Triggered when a PDF document is opened.

Parameters

  [in] | document | A PDF document object which is opened.
  [in] | error_code | Error code which represents the error state when opening the PDF document. Please refer to values starting from e_ErrSuccess and this would be one of these values.

Returns
  None.

## ◆ OnDocSaved()

DocEventCallback.OnDocSaved | ( | document | ,
|  | error_code |
| ) |  |

Triggered when a PDF document is saved.

Parameters

  [in] | document | A PDF document object which is saved.
  [in] | error_code | Error code which represents the error state when saving the PDF document. Please refer to values starting from e_ErrSuccess and this would be one of these values.

Returns
  None.

## ◆ OnDocWillDestroy()

DocEventCallback.OnDocWillDestroy | ( | document |  | ) |

Triggered when a PDF document will be destroyed.

Parameters

  [in] | document | A PDF document object which will be destroyed.

Returns
  None.

## ◆ OnDocWillOpen()

DocEventCallback.OnDocWillOpen | ( |  | ) |

Triggered when the document will be opened.

Returns
  None.

## ◆ OnDocWillSave()

DocEventCallback.OnDocWillSave | ( | document |  | ) |

Triggered when a PDF document will be saved.

Parameters

  [in] | document | A PDF document object which will be saved.

Returns
  None.

## ◆ Release()

DocEventCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.